# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nsys-fmod-utils"
version = "0.1.5"
authors = ["Shane Pearman <spearman@gitlab.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "FMOD utilities"
readme = "README.md"
license = "Apache-2.0"
repository = "https://gitlab.com/spearman/fmod1-utils-rs"

[lib]
name = "fmod_utils"
path = "src/lib.rs"

[[example]]
name = "example"
path = "examples/example.rs"

[dependencies.fmod1]
version = "0.1.*"

[dependencies.log]
version = "0.4.*"

[dependencies.nsys-rs-utils]
version = "0.5.*"

[dependencies.nsys-signal-utils]
version = "0.2.*"

[dependencies.vec_map]
version = "0.8.*"

[dev-dependencies.clap]
version = "4.*"

[lints.clippy]
allow-attributes = "warn"
assertions-on-result-states = "warn"
bool-to-int-with-if = "warn"
branches-sharing-code = "warn"
cast-possible-truncation = "warn"
cast-possible-wrap = "warn"
cast-sign-loss = "warn"
clear-with-drain = "warn"
cloned-instead-of-copied = "warn"
collection-is-never-read = "warn"
debug-assert-with-mut-call = "warn"
derive-partial-eq-without-eq = "warn"
disallowed-names = "allow"
doc-broken-link = "warn"
doc-include-without-cfg = "warn"
doc-link-code = "warn"
doc-link-with-quotes = "warn"
doc-markdown = "warn"
elidable-lifetime-names = "warn"
empty-drop = "warn"
empty-enum-variants-with-brackets = "warn"
empty-line-after-doc-comments = "allow"
equatable-if-let = "warn"
error-impl-error = "warn"
explicit-deref-methods = "warn"
filter-map-next = "warn"
flat-map-option = "warn"
format-collect = "warn"
format-push-string = "warn"
ignored-unit-patterns = "warn"
impl-trait-in-params = "warn"
implicit-clone = "warn"
inefficient-to-string = "warn"
infinite-loop = "warn"
invalid-upcast-comparisons = "warn"
iter-filter-is-ok = "warn"
iter-filter-is-some = "warn"
iter-with-drain = "warn"
large-stack-frames = "warn"
large-types-passed-by-value = "warn"
len-zero = "allow"
literal-string-with-formatting-args = "warn"
lossy-float-literal = "warn"
macro-use-imports = "warn"
manual-assert = "warn"
manual-is-multiple-of = "allow"
manual-is-power-of-two = "warn"
manual-is-variant-and = "warn"
manual-let-else = "warn"
map-unwrap-or = "warn"
map-with-unused-argument-over-ranges = "warn"
match-same-arms = "warn"
match-wildcard-for-single-variants = "warn"
maybe-infinite-iter = "warn"
mem-forget = "warn"
mismatching-type-param-order = "warn"
missing-asserts-for-indexing = "warn"
missing-const-for-fn = "warn"
missing-panics-doc = "warn"
multiple-crate-versions = "warn"
mut-mut = "warn"
mutex-atomic = "warn"
naive-bytecount = "warn"
needless-bitwise-bool = "warn"
needless-collect = "warn"
needless-continue = "warn"
needless-for-each = "warn"
needless-pass-by-ref-mut = "warn"
needless-raw-string-hashes = "warn"
needless-raw-strings = "warn"
no-effect-underscore-binding = "warn"
non-std-lazy-statics = "warn"
non-zero-suggestions = "warn"
nonstandard-macro-braces = "warn"
option-as-ref-cloned = "warn"
option-map-unit-fn = "allow"
precedence-bits = "warn"
pub-underscore-fields = "warn"
range-minus-one = "warn"
range-plus-one = "warn"
read-zero-byte-vec = "warn"
redundant-clone = "warn"
redundant-closure-for-method-calls = "warn"
redundant-test-prefix = "warn"
ref-as-ptr = "warn"
ref-binding-to-reference = "warn"
ref-option = "warn"
ref-option-ref = "warn"
ref-patterns = "warn"
renamed-function-params = "warn"
rest-pat-in-fully-bound-structs = "warn"
same-functions-in-if-condition = "warn"
same-name-method = "warn"
set-contains-or-insert = "warn"
significant-drop-in-scrutinee = "warn"
significant-drop-tightening = "warn"
single-char-pattern = "warn"
single-component-path-imports = "allow"
single-match = "allow"
single-option-map = "warn"
str-split-at-newline = "warn"
string-add-assign = "warn"
suboptimal-flops = "warn"
suspicious-operation-groupings = "warn"
suspicious-xor-used-as-pow = "warn"
trait-duplication-in-bounds = "warn"
transmute-ptr-to-ptr = "warn"
trivial-regex = "warn"
trivially-copy-pass-by-ref = "warn"
try-err = "warn"
type-repetition-in-bounds = "warn"
uninhabited-references = "warn"
uninlined-format-args = "warn"
unnecessary-debug-formatting = "warn"
unnecessary-join = "warn"
unnecessary-literal-bound = "warn"
unnecessary-semicolon = "warn"
unnecessary-struct-initialization = "warn"
unnecessary-wraps = "warn"
unneeded-field-pattern = "warn"
unreadable-literal = "warn"
unsafe-derive-deserialize = "warn"
unused-async = "warn"
unused-peekable = "warn"
unused-result-ok = "warn"
unused-rounding = "warn"
unused-self = "warn"
used-underscore-binding = "warn"
used-underscore-items = "warn"
useless-let-if-seq = "warn"
verbose-bit-mask = "warn"
verbose-file-reads = "warn"
while-float = "warn"
zero-sized-map-values = "warn"

[lints.rust]
ambiguous-negative-literals = "warn"
closure-returning-async-block = "warn"
explicit-outlives-requirements = "warn"
meta-variable-misuse = "warn"
redundant-lifetimes = "warn"
trivial-numeric-casts = "warn"
unit-bindings = "warn"
unknown-lints = "warn"
unnameable-types = "warn"
unreachable-pub = "warn"
unused-extern-crates = "warn"
unused-import-braces = "warn"
unused-lifetimes = "warn"
unused-macro-rules = "warn"
unused-qualifications = "warn"
